package com.hydrogen.mbg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel(value = "列表查询基础dto")
public class BaseListDTO implements Serializable {

    @ApiModelProperty(value = "当前页，从1开始")
    private Integer pageNum=1;
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize=15;
    @ApiModelProperty(value = "是否分页")
    private Boolean page;

    public BaseListDTO() {
        this.page = false;
    }

    public Integer getPageNum() {
        if(pageNum==null||pageNum==0){
            return 1;
        }
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        if(pageSize==null||pageSize==0){
            return 15;
        }
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Boolean getPage() {
        return page;
    }

    public void setPage(Boolean page) {
        this.page = page;
    }
}