package com.hydrogen.brandManager.config;

import feign.Logger;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * Feign 客户端日志配置
 */
@Configuration
public class FeignConfiguration   {

    @Bean
    Logger.Level feignLevel() {
        return Logger.Level.BASIC;
    }

}