package com.hydrogen.mbg.dto.applet;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "小程序登录DTO")
public class LoginDTO  {
    @ApiModelProperty(value = "登录凭证（code）",required = true)
    @NotNull(message = "登录凭证（code）不能为空")
    private String code;

    @ApiModelProperty(value = "携带场景请求参数,格式为（a=1#b=2）")
    private String scene;

}